org.apache.fop.pdf

## Class PDFPageLabels

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFNumberTreeNode
      - - org.apache.fop.pdf.PDFPageLabels

All Implemented Interfaces:
  PDFWritable

    public class PDFPageLabels
    extends PDFNumberTreeNode

Class representing a PDF /PageLabels dictionary.

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFPageLabels()` Create the /PageLabels dictionary

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPageLabel(int index, String pageLabel)` Adds a new entry, if necessary, to the /PageLabels dictionary.

### Methods inherited from class org.apache.fop.pdf.PDFNumberTreeNode

`addToNums, getKids, getLowerLimit, getNums, getUpperLimit, setKids, setLowerLimit, setNums, setUpperLimit`

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFPageLabels

    public PDFPageLabels()

Create the /PageLabels dictionary

### Method Detail

#### addPageLabel

    public void addPageLabel(int index,
                             String pageLabel)

Adds a new entry, if necessary, to the /PageLabels dictionary.

Parameters:
  `index` - the page index (0 for page 1)
  `pageLabel` - the page number as a string